# studio::EventBox Struct Reference

`#include <event_mouse.h>`

List of all members.

## Public Member Functions

| EventBox (EventKey id, const synfig::Point &p1, const synfig::Point &p2, MouseButton button=BUTTON_NONE, Gdk::ModifierType modifier=Gdk::ModifierType(0))
| EventBox (const synfig::Point &p1, const synfig::Point &p2, MouseButton button=BUTTON_NONE, Gdk::ModifierType modifier=Gdk::ModifierType(0))

## Public Attributes

synfig::Point | p1
synfig::Point | p2
MouseButton | button
Gdk::ModifierType | modifier

## Constructor & Destructor Documentation

studio::EventBox::EventBox | ( | EventKey | id,
|  | const synfig::Point & | p1,
|  | const synfig::Point & | p2,
|  | MouseButton | button = `BUTTON_NONE`,
|  | Gdk::ModifierType | modifier = `Gdk::ModifierType(0)` |
| ) |  |  | `[inline]`

studio::EventBox::EventBox | ( | const synfig::Point & | p1,
|  | const synfig::Point & | p2,
|  | MouseButton | button = `BUTTON_NONE`,
|  | Gdk::ModifierType | modifier = `Gdk::ModifierType(0)` |
| ) |  |  | `[inline]`

## Member Data Documentation

synfig::Point studio::EventBox::p1

synfig::Point studio::EventBox::p2

MouseButton studio::EventBox::button

Gdk::ModifierType studio::EventBox::modifier

The documentation for this struct was generated from the following file:

- event_mouse.h